- Home
- API Enriched
- Ce Management
- register
- List Registrations By State.
List Registrations By State.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/register/namespaces/example/listregistrationsbystate';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"namespace":"example","state":"NOTSET"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/register/namespaces/example/listregistrationsbystate \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "namespace": "example", "state": "NOTSET" }'API endpoint for returning Registrations by status, e.g APPROVED, NEW, or RETIRED.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required Registration namespace, only “system” namespaces is accepted.
Request Bodyrequired
Section titled “Request Bodyrequired”Request for list registrations.
object
Registration namespace, only “system” namespaces is accepted Required: YES.
Responses
Section titled “Responses”A successful response.
This is the output message of ‘List’ RPC.
object
Errors(if any) while listing items from collection.
Information about a error in API operation.
object
object
A URL/resource name that uniquely identifies the type of the serialized
protocol buffer message. This string must contain at least
one ”/” character. The last segment of the URL’s path must represent
the fully qualified name of the type (as in
path/google.protobuf.duration). The name should be in a canonical form
(e.g., leading ”.” is not accepted).
In practice, teams usually precompile into the binary all types that they
expect it to use in the context of Any. However, for URLs which use the
scheme HTTP, HTTPS, or no scheme, one can optionally set up a type
server that maps type URLs to message definitions as follows:
- If no scheme is provided,
HTTPSis assumed. - An HTTP GET on the URL must yield a [google.protobuf.type][] value in binary format, or produce an error.
- Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.)
Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com.
Schemes other than HTTP, HTTPS (or the empty scheme) might be
used with implementation specific semantics.
Must be a valid serialized protocol buffer of the above specified type.
A human readable string of the error.
Items represents the collection in response.
By default a summary of registration is returned in ‘List’. By setting ‘report_fields’ in the ListRequest more details of each item can be got.
object
The set of annotations present on this registration.
object
The description set for this registration.
A value of true indicates registration is administratively disabled.
object
object
An Availability Zone is a high-availability offering that protects your applications and data from datacenter failures.
Certified HW name used to map with F5XC certified_hardware definition.
Machine domain. It’s used for Kubernetes cloud provider when domain must be different than F5 Distributed Cloud.
Must be unique in entire cluster and same as OS settings. ’.’ (dots) are not allowed in hostname Required: YES.
object
object
Information from /sys/class/dmi/ID/bios_date.
Information from /sys/class/dmi/ID/bios_vendor.
Information from /sys/class/dmi/ID/bios_version.
object
Information from /sys/class/dmi/ID/board_asset_tag.
Information from /sys/class/dmi/ID/board_name.
Information from /sys/class/dmi/ID/board_serial.
Information from /sys/class/dmi/ID/board_vendor.
Information from /sys/class/dmi/ID/board_version.
object
Information from /sys/class/dmi/ID/chassis_asset_tag.
Information from /sys/class/dmi/ID/chassis_serial.
Information from /sys/class/dmi/ID/chassis_type.
Information from /sys/class/dmi/ID/chassis_vendor.
Information from /sys/class/dmi/ID/chassis_version.
object
CPU cache size in KB.
Number of physical CPU cores.
Number of physical CPUs.
CPU model
CPU clock rate in MHz.
Number of logical (HT) CPU cores.
CPU vendor.
object
GPU Cuda Version.
GPU Driver Version.
List of GPU devices in server.
object
GPU ID
GPU Processes.
GPU Product Name.
object
Kernel architecture.
Kernel release.
Kernel version.
object
RAM size in MB.
RAM data rate in MT/s.
Type of memory, eg. DDR4.
List of network devices in server.
NetworkDevice information.
object
Driver of device, eg. E1000e.
IP address on interface.
MAC address on interface.
Name of device, eg. Eth0.
Used port, eg. Tp.
Device max supported speed in Mbps.
Non-uniform memory access (NUMA) nodes count.
object
Architecture of OS.
Name of OS.
Release of the OS.
Vendor of OS.
Version of OS.
object
Product name, eg. For AWS m5a.xlarge. Info taken from /sys/class/dmi/ID/product_name.
Serial number, eg. For AWS ec254b6d-9676-1a51-8b10-21370dbdc3e5. Info taken from /sys/class/dmi/ID/product_serial.
Vendor name, eg. For AWS Amazon EC2. Info taken from /sys/class/dmi/ID/product_vendor.
Version name. Info taken from /sys/class/dmi/ID/product_version.
List of storage devices in server.
StorageDevice information.
object
Driver of device.
Model of device.
Name of device, eg. Nvme0n1.
Serial of device.
Device size in GB.
Vendor of device.
List of USB devices in server.
Information about USB device.
object
Address of the device on the bus in decimal.
The class of this device.
The protocol (within the sub-class) of this device.
The sub-class (within the class) of this device.
Maximum size of the control transfer.
The device version.
USB Specification Release Number.
The bus on which the device was detected in decimal.
Device description.
Manufacturer name.
Product name reported by device.
Index of Serial Number String Descriptor.
Product ID (Assigned by Manufacturer) in hex.
Vendor ID (Assigned by USB Org) in hex.
Port on which the device was detected in decimal.
Product ID translated to name (if available)
The negotiated operating speed for the device.
Vendor ID translated to name (if available)
Instance ID (assigned by infrastructure provider)
Machine interfaces present during registration time
Required: YES.
object
object
It will be used as the proxy URL for HTTP requests and HTTPS requests unless overridden by HTTPSProxy or NoProxy.
It will be used as the proxy URL for HTTPS requests unless overridden by NoProxy.
It specifies a string that contains comma-separated values specifying hosts that should be excluded from proxying. Each value is represented by an IP address prefix (1.2.3.4), an IP address prefix in CIDR notation (1.2.3.4/8), a domain name, or a special DNS label (). An IP address prefix and domain name can also include a literal port number (1.2.3.4:80). A domain name matches that name and all subdomains. A domain name with a leading ”.” matches subdomains only. For example “example.com” matches “example.com” and “bar.example.com”; “.y.com” matches “x.y.com” but not “y.com”. A single asterisk () indicates that no proxying should be done.
Allow optional different trust-store for proxy in HTTP CONNECT step by picking proxy CA certificate value.
Indicates whether the SLO is static.
Machine ID - generated by operating system.
object
SW Version in the site.
It’s used to verify machine have acceptable time difference from server.
Instance zone (or region), depends on provider.
object
Required: YES.
Defines how many master nodes is in the cluster, only 1 or 3 is allowed 1 - cluster have single master, without HA 3 - cluster have 3 masters, with HA, all nodes should be allowed at same time, cluster won’t start until ALL nodes are ADMITTED 0 - same as 1 This value can’t be changed after installation. It does not interact with auto-scaling as only pool nodes are scaled.
Required: YES.
object
object
Geographic location of this site Required: YES.
Geographic location of this site Required: YES.
Exclusive with [default_os_version] Operating System Version is optional parameter, which allows to specify target SW version for particular site e.g. 7.2009.10.
Private Network name for private access connectivity to F5XC ADN. It is used for PrivateLink, CloudLink and L3VPN.
Exclusive with [default_sw_version] F5XC Software Version is optional parameter, which allows to specify target SW version for particular site e.g. Crt-20210329-1002.
Token is used for machine and tenant identification Required: YES.
The set of labels present on this registration.
object
object
Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.
object
Human readable description for the object.
A value of true will administratively disable the object.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.
object
This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.
This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
The name of this registration.
The namespace this item belongs to.
object
object
Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.
object
Human readable description for the object.
A value of true will administratively disable the object.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.
object
This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.
This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
Uid is the unique in time and space value for this object. Object create will fail if provided by the client and the value exists in the system. Typically generated by the server on successful creation of an object and is not allowed to change once populated. Shadowed by SystemObjectMeta’s uid field.
object
object
Optional. REs in selected region to which CEs connect, contains primary and backup RE region info.
object
An Availability Zone is a high-availability offering that protects your applications and data from datacenter failures.
Certified HW name used to map with F5XC certified_hardware definition.
Machine domain. It’s used for Kubernetes cloud provider when domain must be different than F5 Distributed Cloud.
Must be unique in entire cluster and same as OS settings. ’.’ (dots) are not allowed in hostname Required: YES.
object
object
Information from /sys/class/dmi/ID/bios_date.
Information from /sys/class/dmi/ID/bios_vendor.
Information from /sys/class/dmi/ID/bios_version.
object
Information from /sys/class/dmi/ID/board_asset_tag.
Information from /sys/class/dmi/ID/board_name.
Information from /sys/class/dmi/ID/board_serial.
Information from /sys/class/dmi/ID/board_vendor.
Information from /sys/class/dmi/ID/board_version.
object
Information from /sys/class/dmi/ID/chassis_asset_tag.
Information from /sys/class/dmi/ID/chassis_serial.
Information from /sys/class/dmi/ID/chassis_type.
Information from /sys/class/dmi/ID/chassis_vendor.
Information from /sys/class/dmi/ID/chassis_version.
object
CPU cache size in KB.
Number of physical CPU cores.
Number of physical CPUs.
CPU model
CPU clock rate in MHz.
Number of logical (HT) CPU cores.
CPU vendor.
object
GPU Cuda Version.
GPU Driver Version.
List of GPU devices in server.
object
GPU ID
GPU Processes.
GPU Product Name.
object
Kernel architecture.
Kernel release.
Kernel version.
object
RAM size in MB.
RAM data rate in MT/s.
Type of memory, eg. DDR4.
List of network devices in server.
NetworkDevice information.
object
Driver of device, eg. E1000e.
IP address on interface.
MAC address on interface.
Name of device, eg. Eth0.
Used port, eg. Tp.
Device max supported speed in Mbps.
Non-uniform memory access (NUMA) nodes count.
object
Architecture of OS.
Name of OS.
Release of the OS.
Vendor of OS.
Version of OS.
object
Product name, eg. For AWS m5a.xlarge. Info taken from /sys/class/dmi/ID/product_name.
Serial number, eg. For AWS ec254b6d-9676-1a51-8b10-21370dbdc3e5. Info taken from /sys/class/dmi/ID/product_serial.
Vendor name, eg. For AWS Amazon EC2. Info taken from /sys/class/dmi/ID/product_vendor.
Version name. Info taken from /sys/class/dmi/ID/product_version.
List of storage devices in server.
StorageDevice information.
object
Driver of device.
Model of device.
Name of device, eg. Nvme0n1.
Serial of device.
Device size in GB.
Vendor of device.
List of USB devices in server.
Information about USB device.
object
Address of the device on the bus in decimal.
The class of this device.
The protocol (within the sub-class) of this device.
The sub-class (within the class) of this device.
Maximum size of the control transfer.
The device version.
USB Specification Release Number.
The bus on which the device was detected in decimal.
Device description.
Manufacturer name.
Product name reported by device.
Index of Serial Number String Descriptor.
Product ID (Assigned by Manufacturer) in hex.
Vendor ID (Assigned by USB Org) in hex.
Port on which the device was detected in decimal.
Product ID translated to name (if available)
The negotiated operating speed for the device.
Vendor ID translated to name (if available)
Instance ID (assigned by infrastructure provider)
Machine interfaces present during registration time
Required: YES.
object
object
It will be used as the proxy URL for HTTP requests and HTTPS requests unless overridden by HTTPSProxy or NoProxy.
It will be used as the proxy URL for HTTPS requests unless overridden by NoProxy.
It specifies a string that contains comma-separated values specifying hosts that should be excluded from proxying. Each value is represented by an IP address prefix (1.2.3.4), an IP address prefix in CIDR notation (1.2.3.4/8), a domain name, or a special DNS label (). An IP address prefix and domain name can also include a literal port number (1.2.3.4:80). A domain name matches that name and all subdomains. A domain name with a leading ”.” matches subdomains only. For example “example.com” matches “example.com” and “bar.example.com”; “.y.com” matches “x.y.com” but not “y.com”. A single asterisk () indicates that no proxying should be done.
Allow optional different trust-store for proxy in HTTP CONNECT step by picking proxy CA certificate value.
Indicates whether the SLO is static.
Machine ID - generated by operating system.
object
SW Version in the site.
It’s used to verify machine have acceptable time difference from server.
Instance zone (or region), depends on provider.
object
Required: YES.
Defines how many master nodes is in the cluster, only 1 or 3 is allowed 1 - cluster have single master, without HA 3 - cluster have 3 masters, with HA, all nodes should be allowed at same time, cluster won’t start until ALL nodes are ADMITTED 0 - same as 1 This value can’t be changed after installation. It does not interact with auto-scaling as only pool nodes are scaled.
Required: YES.
object
object
Geographic location of this site Required: YES.
Geographic location of this site Required: YES.
Exclusive with [default_os_version] Operating System Version is optional parameter, which allows to specify target SW version for particular site e.g. 7.2009.10.
Private Network name for private access connectivity to F5XC ADN. It is used for PrivateLink, CloudLink and L3VPN.
Exclusive with [default_sw_version] F5XC Software Version is optional parameter, which allows to specify target SW version for particular site e.g. Crt-20210329-1002.
Role of registered node. Used by system to determine what roles should be enforced.
Site for this registration, assigned after registration is assigned to site.
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
Token is used for machine and tenant identification Required: YES.
object
object
Suggested HTTP return code for this status, 0 if not set.
A human-readable description of why this operation is in the “Failure” status. If this value is empty there is no information available.
Status of the operation. One of: “Success” or “Failure”.
Time of last registration state update.
object
CreationTimestamp is a timestamp representing the server time when this object was created. It is not guaranteed to be set in happens-before order across separate operations. Clients may not set this value. It is represented in RFC3339 form and is in UTC.
A value identifying the class of the user or service which created this configuration object.
This can used by the creator of the object for later audit for e.g. By storing the version identifying information of the object so at future it can be determined if version present at remote end is current or stale.
A value identifying the exact user or service that created this configuration object.
DeletionTimestamp is RFC 3339 date and time at which this resource will be deleted. This field is set by the server when a graceful deletion is requested by the user, and is not directly settable by a client. The resource is expected to be deleted (no longer visible from resource lists, and not reachable by name) after the time in this field, once the finalizers list is empty. As long as the finalizers list contains items, deletion is blocked. Once the deletionTimestamp is set, this value may not be unset or be set further into the future, although it may be shortened or the resource may be deleted prior to this time. For example, a user may request that a pod is deleted in 30 seconds. The Kubelet will react by sending a graceful termination signal to the containers in the pod. After that 30 seconds, the Kubelet will send a hard termination signal (SIGKILL) to the container and after cleanup, remove the pod from the API. In the presence of network partitions, this object may still exist after this timestamp, until an administrator or automated process can determine the resource is fully terminated. If not set, graceful deletion of the object has not been requested.
Populated by the system when a graceful deletion is requested. Read-only.
A hash of the UIDs of direct references on this object. This can be used to determine if this object hash has had references become resolved/unresolved.
Must be empty before the object is deleted from the registry. Each entry is an identifier for the responsible component that will remove the entry from the list. If the deletionTimestamp of the object is non-nil, entries in this list can only be removed.
object
Pending is a list of initializers that must execute in order before this object is initialized. When the last pending initializer is removed, and no failing result is set, the initializers struct will be set to nil and the object is considered as initialized and visible to all clients.
Initializer is information about an initializer that has not yet completed.
object
Name of the service that is responsible for initializing this object.
object
Suggested HTTP return code for this status, 0 if not set.
A human-readable description of why this operation is in the “Failure” status. If this value is empty there is no information available.
Status of the operation. One of: “Success” or “Failure”.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the operator or software. Values here can be interpreted by software(backend or frontend) to enable certain behavior e.g. Things marked as soft-deleted(restorable).
object
ModificationTimestamp is a timestamp representing the server time when this object was last modified.
The namespace this object belongs to. This is populated by the service based on the metadata.namespace field when an object is created.
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
Unique index for the object. Some objects need a unique integer index to be allocated for each object type. This field will be populated for all objects that need it and will be zero otherwise.
object
Kind of the view object.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
UID of the view object.
A revision number which always increases with each modification of the object in storage This doesn’t necessarily increase sequentially, but should always increase. This will be 0 when first created, and before any modifications.
This should be set to true If F5XC/SRE operator wants to suppress an object from being presented to business-logic of a daemon(e.g. Due to bad-form/issue-causing Object). This is meant only to be used in temporary situations for operational continuity till a fix is rolled out in business-logic.
Tenant to which this configuration object belongs to. The value for this is found from presented credentials.
Trace_info holds information(
Uid is the unique in time and space value for this object. It is generated by the server on successful creation of an object and is not allowed to change on Replace API. The value of is taken from uid field of ObjectMetaType, if provided.
Indicate origin of this object.
Indicate whether mars deems this object to be stale via graceful restart timer information.
object
Kind of the view object.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
UID of the view object.
object
CreationTimestamp is a timestamp representing the server time when this object was created. It is not guaranteed to be set in happens-before order across separate operations. Clients may not set this value. It is represented in RFC3339 form and is in UTC.
A value identifying the class of the user or service which created this configuration object.
A value identifying the exact user or service that created this configuration object.
DeletionTimestamp is RFC 3339 date and time at which this resource will be deleted. This field is set by the server when a graceful deletion is requested by the user, and is not directly settable by a client. The resource is expected to be deleted (no longer visible from resource lists, and not reachable by name) after the time in this field, once the finalizers list is empty. As long as the finalizers list contains items, deletion is blocked. Once the deletionTimestamp is set, this value may not be unset or be set further into the future, although it may be shortened or the resource may be deleted prior to this time. For example, a user may request that a pod is deleted in 30 seconds. The Kubelet will react by sending a graceful termination signal to the containers in the pod. After that 30 seconds, the Kubelet will send a hard termination signal (SIGKILL) to the container and after cleanup, remove the pod from the API. In the presence of network partitions, this object may still exist after this timestamp, until an administrator or automated process can determine the resource is fully terminated. If not set, graceful deletion of the object has not been requested.
Populated by the system when a graceful deletion is requested. Read-only.
Must be empty before the object is deleted from the registry. Each entry is an identifier for the responsible component that will remove the entry from the list. If the deletionTimestamp of the object is non-nil, entries in this list can only be removed.
object
Pending is a list of initializers that must execute in order before this object is initialized. When the last pending initializer is removed, and no failing result is set, the initializers struct will be set to nil and the object is considered as initialized and visible to all clients.
Initializer is information about an initializer that has not yet completed.
object
Name of the service that is responsible for initializing this object.
object
Suggested HTTP return code for this status, 0 if not set.
A human-readable description of why this operation is in the “Failure” status. If this value is empty there is no information available.
Status of the operation. One of: “Success” or “Failure”.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the operator or software. Values here can be interpreted by software(backend or frontend) to enable certain behavior e.g. Things marked as soft-deleted(restorable).
object
ModificationTimestamp is a timestamp representing the server time when this object was last modified.
Unique index for the object. Some objects need a unique integer index to be allocated for each object type. This field will be populated for all objects that need it and will be zero otherwise.
object
Kind of the view object.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
UID of the view object.
Tenant to which this configuration object belongs to. The value for this is found from presented credentials.
Uid is the unique in time and space value for this object. It is generated by the server on successful creation of an object and is not allowed to change on Replace API. The value of is taken from uid field of ObjectMetaType, if provided.
The tenant this item belongs to.
The unique uid of this registration.
Example
{ "errors": [ { "code": "EOK" } ], "items": [ { "get_spec": { "infra": { "hw_info": { "network": [ { "link_quality": "QUALITY_UNKNOWN", "link_type": "LINK_TYPE_UNKNOWN" } ], "usb": [ { "usb_type": "UNKNOWN_USB" } ] }, "provider": "UNKNOWN" } }, "object": { "spec": { "gc_spec": { "infra": { "hw_info": { "network": [ { "link_quality": "QUALITY_UNKNOWN", "link_type": "LINK_TYPE_UNKNOWN" } ], "usb": [ { "usb_type": "UNKNOWN_USB" } ] }, "provider": "UNKNOWN" }, "tunnel_type": "SITE_TO_SITE_TUNNEL_IPSEC_OR_SSL" } }, "status": { "current_state": "NOTSET", "parent_current_state": "ONLINE" } } } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example